Page MenuHomePhabricator

Create hostnames for old and new Toolforge bastions that make sense
Closed, ResolvedPublic

Description

The Trusty->Stretch grid migration also involves new bastion server(s) as replacements for the Trusty bastions that exist today. Users will need access to both the Trusty and Stretch bastions during the migration period.

  • Choose public names for the bastions that make sense
  • Setup DNS and public IPs as needed
  • Document in migration plan

Event Timeline

bd808 triaged this task as Normal priority.Dec 19 2018, 10:51 PM
bd808 created this task.

I'm proposing that we use:

  • login-trusty.tools.wmflabs.org (points to tools-bastion-03.tools.eqiad.wmflabs)
  • login-stretch.tools.wmflabs.org (points to tools-sgebastion-06.tools.eqiad.wmflabs)

I'm proposing that we use:

  • login-trusty.tools.wmflabs.org (points to tools-bastion-03.tools.eqiad.wmflabs)
  • login-stretch.tools.wmflabs.org (points to tools-sgebastion-06.tools.eqiad.wmflabs)

+1

Mentioned in SAL (#wikimedia-cloud) [2019-01-06T22:03:46Z] <bd808> Set floatingip quota of 60 for tools project in eqiad1-r region (T212360)

Mentioned in SAL (#wikimedia-cloud) [2019-01-06T22:06:46Z] <bd808> Added floating ip to tools-sgebastion-06 (T212360)

bd808 added a subscriber: Andrew.Jan 6 2019, 10:21 PM

DNS records created via Horizon:

$ host login-trusty.tools.wmflabs.org
login-trusty.tools.wmflabs.org has address 208.80.155.163
$ host login-stretch.tools.wmflabs.org
login-stretch.tools.wmflabs.org has address 208.80.155.90

Login to login-trusty.tools.wmflabs.org works:

$ ssh login-trusty.tools.wmflabs.org
Linux tools-bastion-03 3.13.0-147-generic #196-Ubuntu SMP Wed May 2 15:51:34 UTC 2018 x86_64
Ubuntu 14.04.5 LTS
tools-bastion-03 is a Toolforge bastion (toollabs::bastion)

Something is not quite right about the login-stretch floatingip. @Andrew, @aborrero is there something that needs to be done to setup a new project for working floating ips in the eqiad1-r region that hasn't been done yet for the tools project?

$ ssh login-stretch.tools.wmflabs.org
ssh: connect to host login-stretch.tools.wmflabs.org port 22: Operation timed out
bd808 claimed this task.Jan 6 2019, 10:22 PM
bd808 updated the task description. (Show Details)
bd808 added a comment.Jan 6 2019, 10:27 PM

Something is not quite right about the login-stretch floatingip. @Andrew, @aborrero is there something that needs to be done to setup a new project for working floating ips in the eqiad1-r region that hasn't been done yet for the tools project?

$ ssh login-stretch.tools.wmflabs.org
ssh: connect to host login-stretch.tools.wmflabs.org port 22: Operation timed out

Possibly because the 208.80.155.90 IP allocated by Horizon is not in the expected 185.15.56.0/25 network?

Mentioned in SAL (#wikimedia-operations) [2019-01-07T12:11:07Z] <gtirloni> disabled notifications for cloudvirt0124 (T212360)

Please ignore the previous comment (bad copy/paste).

bd808 added a comment.Jan 7 2019, 4:49 PM

@Andrew released and renewed the floating ip lease in Horizon for tools-sgebastion-06.tools.eqiad.wmflabs and this time it got an IP allocated from the correct pool.

bd808 updated the task description. (Show Details)Jan 7 2019, 4:51 PM
bd808 closed this task as Resolved.Jan 7 2019, 5:00 PM